Subject: Single stepping

From: Philip Blundell <[email-masked]>
Date: Tue, 13 Apr 1999 14:07:39 +0100

It seems that PTRACE_SINGLESTEP isn't doing the right thing on the ARM.  

Looking at the code, I can't see quite how it's intended to work; all that 
appears to happen is that debug[4] gets set to -1 but we never actually set up 
a breakpoint or anything.  Can anybody shed any light?

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 13 Apr 1999 19:20:58 +0100 (BST)

> It seems that PTRACE_SINGLESTEP isn't doing the right thing on the ARM.  

Is this from examination of the code, or practice?

> a breakpoint or anything.  Can anybody shed any light?

It's complicated, since there are specific conditions which must be set up
initially.  It is in fact the same method that the Alpha uses.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]